/*****************************************************************************
 *
 * FILE:	postal.js
 * DESCRIPTION:	JavaScript for postal.cgi
 * DATE:	Mon, Aug 27 2007
 * UPDATED:	Tue, Aug 28 2007
 * AUTHOR:	Kouichi ABE (WALL) / 
 * E-MAIL:	kouichi@MysticWALL.COM
 * URL:		http://www.MysticWALL.COM/
 * COPYRIGHT:	(c) 2007 졿Kouichi ABE (WALL), All rights reserved.
 * LICENSE:
 *
 *  Copyright (c) 2007 Kouichi ABE (WALL) <kouichi@MysticWALL.COM>,
 *  All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 *
 *   THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 *   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 *   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 *   PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE
 *   LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 *   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 *   SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 *   INTERRUPTION)  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 *   CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 *   THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: postal.js,v 1.1 2007/08/29 11:19:56 kouichi Exp $
 *
 *****************************************************************************/

function handleHttpResponse() {
  if (xmlHttp.readyState == 4 && xmlHttp.status == 200) {
    var xmlDoc = xmlHttp.responseXML;
    if (xmlDoc.documentElement) {
      var status = xmlDoc.getElementsByTagName('status').item(0).firstChild;
      if (status.data == 'found') {
	var address = xmlDoc.getElementsByTagName('address').item(0).firstChild;
	/*
	var name    = xmlDoc.getElementsByTagName('name').item(0).firstChild;
	*/
	document.getElementById('address').value = address.data;
      }
    }
    else {
      document.getElementById('address').value = '';
    }
  }
}

function getAddress() {
  var postcode = document.getElementById('postcode').value;
  xmlHttp.open('GET', '/cgi-bin/postal.cgi?pc=' + escape(postcode), true);
  xmlHttp.onreadystatechange = handleHttpResponse;
  xmlHttp.send(null);
}

var xmlHttp = window.XMLHttpRequest ? new XMLHttpRequest() : (function() {
  try       { return new ActiveXObject('Msxml2.XMLHTTP'); }
  catch (e) { return new ActiveXObject('Microsoft.XMLHTTP'); }
})();

//xmlHttp.overrideMimeType("text/xml"); 
